﻿@model GeneralFeedBackModel
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel2" class="text-left">Feedback</h3>
</div>
@using (Ajax.BeginForm("Submit", "FeedBack", new AjaxOptions { HttpMethod = "Post", InsertionMode = InsertionMode.Replace, OnSuccess = "AjaxSuccess", OnFailure = "AjaxFailure" }, new { id = "submit-Feedback" }))
{
    <div class="modal-body">
        <h4>We would love to hear from you</h4>
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

        <!-- error text div -->
        <div class="error-text">
            <p id="FeedbackMessage"></p>
            <p>@Html.ValidationMessageFor(model => model.Email)</p>
            <p>@Html.ValidationMessageFor(model => model.DescribeIdea)</p>
        </div>
        <!--  end of error text div -->
        <div class="modal-div pull-left">
            <label>Your name</label>
            @Html.TextBoxFor(Model => Model.Name, new { @class = "input-large", @placeholder = "Enter your name ..." })
        </div>
         <div class="modal-div pull-right">
            <label>Your email address <span class="star">*</span>
            </label>
            @Html.TextBoxFor(Model => Model.Email, new { @class = "input-large", @placeholder = "yourname@example.com" })
        </div>
        <div class="modal-div pull-left summary">
            <label>Short summary</label>
            @Html.TextBoxFor(Model => Model.ShortSummary, new { @class = "input-block-level", @placeholder = "Give a short summary ..." })
        </div>
        <div class="modal-div pull-left idea">
            <label>Your idea <span class="star">*</span></label>
            @Html.TextAreaFor(Model => Model.DescribeIdea, new { @class = "feedback-text inline", @placeholder = "Describe your idea ..." })
        </div>
    </div>
    <div class="modal-footer text-right">
        <button type="submit" class="btn btn-grey" data-dismiss="modal">close</button>
        <input type="submit" value="post feedback" class="btn btn-warning loading" data-loading-text="posting..." id="btnSend">
    </div>
}
<!-- The following two  lines should handle via Resource Manager in enhancment phase! -->
<script src="~/Scripts/jquery.validate.min.js" type="text/javascript"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.min.js" type="text/javascript"></script>
<script type="text/javascript">

    $(document).ready(function () {
        buttonInit();
    });

    var msg = $("#FeedbackMessage");
    function AjaxSuccess(data, status) {

        if (data.Status != null && data.Status == "Success") {
            // window.location.reload();

            //$('#mainPopUp').modal('hide');
            CloseCallPopUp();
            ShowMessageBox("", "Thanks for your contact. Your message has been successfully sent.", 2000);

            $('.contactFields').val('');
            buttonReset();

            $('.contact-form').toggleClass('open');
        }
        else {
            ShowMessageBox("Note", "Sending message was unsuccessful, please try again.", 4000);

            buttonReset();
        }
    }

    function AjaxFailure() {
        buttonReset();
        msg.html("Error in establish connection with server.");
    }
</script>
